Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNicolas FAUVERGUE2015-04-03 14:00:34 +0000
committervincent lorenzo2015-04-08 09:00:22 +0000
commit9562d1dbe63d443726f2e81cdd1735fd432ba089 (patch)
tree3b9048f3f3b9738112aa3354292ba9cda433632d /plugins/uml/properties/org.eclipse.papyrus.uml.properties.xtext/META-INF
parentc4015d70e7533d0a25be624a3cca44294011ff4b (diff)
downloadorg.eclipse.papyrus-9562d1dbe63d443726f2e81cdd1735fd432ba089.tar.gz
org.eclipse.papyrus-9562d1dbe63d443726f2e81cdd1735fd432ba089.tar.xz
org.eclipse.papyrus-9562d1dbe63d443726f2e81cdd1735fd432ba089.zip
Bug 463881: [XText] The ValueSpecification XText editor in properties
view must be defined by XWT element https://bugs.eclipse.org/bugs/show_bug.cgi?id=463881 - Recvery code which allow to get the direct editor configuration to get it from XWT attribute with java reflexive instead of getting direct editor configuration from object to edit with defined extension points Change-Id: I1aa730f216873ea0912bd705ea63761d7e2c69a5 Signed-off-by: Nicolas FAUVERGUE <nicolas.fauvergue@all4tec.net> Reviewed-on: https://git.eclipse.org/r/45231 Reviewed-by: vincent lorenzo <vincent.lorenzo@cea.fr> Tested-by: vincent lorenzo <vincent.lorenzo@cea.fr>
Diffstat (limited to 'plugins/uml/properties/org.eclipse.papyrus.uml.properties.xtext/META-INF')
-rw-r--r--plugins/uml/properties/org.eclipse.papyrus.uml.properties.xtext/META-INF/MANIFEST.MF4
1 files changed, 3 insertions, 1 deletions
diff --git a/plugins/uml/properties/org.eclipse.papyrus.uml.properties.xtext/META-INF/MANIFEST.MF b/plugins/uml/properties/org.eclipse.papyrus.uml.properties.xtext/META-INF/MANIFEST.MF
index 8e0f70479b0..1eaf657361b 100644
--- a/plugins/uml/properties/org.eclipse.papyrus.uml.properties.xtext/META-INF/MANIFEST.MF
+++ b/plugins/uml/properties/org.eclipse.papyrus.uml.properties.xtext/META-INF/MANIFEST.MF
@@ -16,7 +16,9 @@ Require-Bundle: org.eclipse.ui;bundle-version="3.105.0",
org.eclipse.papyrus.uml.properties;bundle-version="1.1.0",
org.eclipse.papyrus.views.properties;bundle-version="1.1.0",
org.eclipse.papyrus.infra.widgets;bundle-version="1.1.0",
- org.eclipse.core.databinding;bundle-version="1.4.100"
+ org.eclipse.core.databinding;bundle-version="1.4.100",
+ org.eclipse.papyrus.uml.textedit.valuespecification.xtext.ui;bundle-version="1.1.0",
+ org.eclipse.papyrus.infra.core.log;bundle-version="1.1.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 1.1.0.qualifier

Back to the top